%  setup_ax.m	MATLAB script
%
% 	creates axes based on the parameter naxes
%	called by get_comps whenever checkboxes are changed
%  Created axes have tags 'Ax(1)', Ax(2), etc

function setup_ax(naxes)

  dy = 0.01;
  height = 1-.08 - (naxes)*dy; height = height/naxes;
  y_pos = 1.;

for k = 1:naxes
	y_pos = y_pos - dy - height;
	c_temp = ['Ax(',num2str(k),')'];
	Ax(k) = axes('Position',[.075,y_pos,.75,height], ...
                 'Fontsize',11,'Tag',c_temp);
    set(gca,'Xticklabel',[]);
    set(gca,'Xgrid','on','Ygrid','on');
end  
  
  
  
  
  
  