function fig = ts_dlg()
global nstat first

ts_sett;
bgc_text = [0.75 0.75 0.75];

h0 = figure('Color',[0.8 0.8 0.8], ...
   'Name','TS_PLOT    Version 2.0   11 /2002', ...
	'NumberTitle','off', ...
	'PaperOrientation','landscape', ...
	'Position',screen_pos, ...
	'PaperPosition',[.5 .5 9 6.5], ...
	'Tag','TS_Fig');

%==============================================================
% popup menu for TS data format

h1 = uicontrol('Parent',h0, ...
    'Style','popupmenu', ...
    'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.95 0.12 0.04], ...
	'String',['TS FORMAT';'  ASCII  ';' BEAR TS ';'   EGB   '; ...
              '   MTU   ';'   LIMS  ';'   NIMS  '], ...
    'Value',1, ...
	'Tag','PopupFormat');

%==============================================================
%  Pushbuttons for the three sites

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.9 0.12 0.04], ...
	'String','Site1', ...
	'Tag','ButtonSite1',...
	'ForegroundColor',[0 0 1]);

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.85 0.12 0.04], ...
	'String','Site2', ...
	'Tag','ButtonSite2',...
	'ForegroundColor','r');

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.80 0.12 0.04], ...
	'String','Site3', ...
 	'Tag','ButtonSite3',...
	'ForegroundColor',[0 1 0]);

%==============================================================
%  Pushbutton for Loading Data

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.75 0.12 0.04], ...
	'String','LOAD', ...
	'Tag','ButtonLoad');

%==============================================================
% Controls for Plotting

h1 = uicontrol('Parent',h0, ...
   'Style','text', ...
	'Units','normalized', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.70 0.12 0.04], ...
	'String','# of sec to plot');

h1 = uicontrol('Parent',h0, ...
   'Style','edit', ...
	'Units','normalized', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
   'Position',[0.88 0.65 0.12 0.04], ...
   'Callback','ts_cbk',...
   'Tag','NSeconds',...
	'String','100');

h1 = uicontrol('Parent',h0, ...
   'Style','text', ...
	'Units','normalized', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.60 0.12 0.04], ...
	'String','# of min to skip');

h1 = uicontrol('Parent',h0, ...
   'Style','edit', ...
	'Units','normalized', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
    'Position',[0.88 0.55 0.12 0.04], ...
    'Callback','ts_cbk',...
    'Tag','NMinutes',...
	'String','0');

%==============================================================
%  Pushbottons for Plotting

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.50 0.12 0.04], ...
	'String','PREV', ...
	'Tag','ButtonPrev',...
    'ForegroundColor',[0 0 1]);

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.45 0.12 0.04], ...
	'String','PLOT', ...
	'Tag','ButtonPlot',...
    'ForegroundColor',[0 0 1]);

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.40 0.12 0.04], ...
	'String','NEXT', ...
	'Tag','ButtonNext',...
    'ForegroundColor',[0 0 1]);

%==============================================================
%  Pushbotton for Printing

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.35 0.12 0.04], ...
	'String','PRINT', ...
	'Tag','ButtonPrint');

%==============================================================
%  Pushbotton for Creating Dad Data File

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.30 0.12 0.04], ...
	'String','BAD DATA', ...
	'Tag','ButtonBadData',...
    'ForegroundColor',[1 0 0]);

 h1 = uicontrol('Parent',h0, ...
    'Units','normalized', ...
    'Callback','ts_cbk', ...
    'FontWeight',font_weight, ...
    'ListboxTop',0, ...
    'Position',[0.88 0.25 0.06 0.04], ...
    'String','Next', ...
    'Visible','off', ...
    'Tag','ButtonBadNext',...
    'ForegroundColor',[1 0 0]);

 h1 = uicontrol('Parent',h0, ...
    'Units','normalized', ...
    'Callback','ts_cbk', ...
    'FontWeight',font_weight, ...
    'ListboxTop',0, ...
    'Position',[0.94 0.25 0.06 0.04], ...
    'String','Prev', ...
    'Visible','off', ...
    'Tag','ButtonBadPrev',...
    'ForegroundColor',[1 0 0]);

%==============================================================
% Pushbotton for Clearing the workspace

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','ts_cbk', ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.20 0.12 0.04], ...
	'String','Clear', ...
	'Tag','ButtonClear');

%==============================================================
% Checkbottons for All Channel Checkboxes

y_pos = 0.2;
for k = 1:3
   x_pos = 0.88;
   y_pos = y_pos - .05;
   for l = 1:5
       c_temp = ['UseDat(',num2str(k),',',num2str(l),')'];
	   h1 = uicontrol('Parent',h0, ...
         'Style','checkbox', ...
         'Value',0, ...
         'Min',0,'Max',1, ...
			'Units','normalized', ...
			'FontWeight',font_weight, ...
			'ListboxTop',0, ...
  	 		'Position',[x_pos, y_pos, 0.02, 0.04], ...
	  	 	'Tag',c_temp);
       x_pos = x_pos + 0.025;
   end	
end

%==============================================================
% Message Window

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',bgc_text, ...
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0 0 0.88 0.035], ...
	'String','Message Window', ...
	'Style','text', ...
	'Tag','Messages');

%==============================================================
% Quit

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','delete(findobj(''Tag'',''TS_Fig''))', ...	
	'FontWeight',font_weight, ...
	'ListboxTop',0, ...
	'Position',[0.88 0.00 0.12 0.04], ...
	'String','QUIT', ...
	'Tag','ButtonQuit');

if nargout > 0, fig = h0; end
